Vulnerability CVE-2019-13644


Published: 2019-07-17   Modified: 2019-07-18

Description:
Firefly III before 4.7.17.1 is vulnerable to stored XSS due to lack of filtration of user-supplied data in a budget name. The JavaScript code is contained in a transaction, and is executed on the tags/show/$tag_number$ tag summary page.

Type:

CWE-79

(Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting'))

Vendor: Firefly-iii
Product: Firefly iii 
Version:
4.7.9
4.7.8
4.7.7
4.7.6.2
4.7.6.1
4.7.6
4.7.5.3
4.7.5.2
4.7.5.1
4.7.5
4.7.4
4.7.3.2
4.7.3.1
4.7.3
4.7.2.2
4.7.2.1
4.7.2
4.7.17
4.7.16
4.7.15
4.7.14
4.7.13
4.7.12.1
4.7.12
4.7.11
4.7.10
4.7.1.4
4.7.1.3
4.7.1.2
4.7.1.1
4.7.1
4.7.0
4.6.9
4.6.8
4.6.7
4.6.6
4.6.5
4.6.4
4.6.3.1
4.6.3
4.6.2
4.6.13
4.6.12
4.6.11.1
4.6.11
4.6.10
4.6.1
4.6.0
4.5.0
4.4.3
4.4.2
4.4.1
4.4.0
4.3.8
4.3.7
4.3.6
4.3.5
4.3.4
4.3.3
4.3.2
4.3.1
4.3.0
4.2.2
4.2.1
4.2.0
4.1.7
4.1.6
4.1.5
4.1.4
4.1.3
4.1.2
4.1.1
4.1.0
4.0.2
4.0.1
4.0.0
3.9.1
3.9.0
3.8.4
3.8.3
3.8.2
3.8.1
3.8.0
3.7.2.3
3.7.2.2
3.7.2.1
3.7.2
3.7.1
3.7.0
3.6.1
3.6.0
3.5.6.1
3.5.6
3.5.5
3.5.4
3.5.3
3.5.2
3.5.1
3.5.0
3.4.9
See more versions on NVD

CVSS2 => (AV:N/AC:M/Au:S/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
3.5/10
2.9/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None

 References:
https://github.com/firefly-iii/firefly-iii/compare/76aa8ac...45b8c36
https://github.com/firefly-iii/firefly-iii/issues/2335

Related CVE
CVE-2019-14672
Firefly III 4.7.17.5 is vulnerable to stored XSS due to the lack of filtration of user-supplied data in the liability name field. The JavaScript code is executed upon an error condition during a visit to the account show page.
CVE-2019-14671
Firefly III 4.7.17.3 is vulnerable to local file enumeration. An attacker can enumerate local files due to the lack of protocol scheme sanitization, such as for file:/// URLs. This is related to fints_url to import/job/configuration, and import/creat...
CVE-2019-14670
Firefly III 4.7.17.3 is vulnerable to stored XSS due to the lack of filtration of user-supplied data in the bill name field. The JavaScript code is executed during rule-from-bill creation.
CVE-2019-14669
Firefly III 4.7.17.3 is vulnerable to stored XSS due to the lack of filtration of user-supplied data in the asset account name. The JavaScript code is executed during a visit to the audit account statistics page.
CVE-2019-14668
Firefly III 4.7.17.3 is vulnerable to stored XSS due to the lack of filtration of user-supplied data in the transaction description field. The JavaScript code is executed during deletion of a transaction link.
CVE-2019-14667
Firefly III 4.7.17.4 is vulnerable to multiple stored XSS issues due to the lack of filtration of user-supplied data in the transaction description field and the asset account name. The JavaScript code is executed during a convert transaction action.
CVE-2019-13647
Firefly III before 4.7.17.3 is vulnerable to stored XSS due to lack of filtration of user-supplied data in image file content. The JavaScript code is executed during attachments/view/$file_id$ attachment viewing.
CVE-2019-13646
Firefly III before 4.7.17.3 is vulnerable to reflected XSS due to lack of filtration of user-supplied data in a search query.

Copyright 2019, cxsecurity.com

 

Back to Top